package com.yida.data.job.task;


import com.yida.data.school.feign.news.RemoteNoticeUpdateService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author ccl
 */
@Component
@Slf4j
@RequiredArgsConstructor
public class NoticeUpdateTask {

    private final RemoteNoticeUpdateService remoteNoticeUpdateService;

    public void noticeUpdate(String id) {
        log.info("执行更新商品定时任务,id:[{}]", id);
        remoteNoticeUpdateService.updateBuyNoticeById(Long.valueOf(id));
    }

}
